#
# spec file for package rwall (Version 0.17)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         rwall
Copyright:    BSD
Group:        Networking/Utilities
Requires:     netcfg
Provides:     nkitb:/usr/bin/rwall
Autoreqprov:  on
Version:      0.17
Release:      97
Summary:      Send a message to users logged on a host
BuildRoot:    /var/tmp/%{name}-build
Url:          ftp://ftp.uk.linux.org/pub/linux/Networking/netkit/
Source:       netkit-rwall-%{version}.tar.bz2
Source1:      rwalld.init
Source2:      rc.config.rwalld
Patch:        netkit-rwall-%{version}.dif

%description
This package contains the rwall command. The rwall command sends a
message to the users logged into the specified host. The rpc.rwalld
server has to run on this host.

SuSE series: n

%package server
Summary:      Send a message to users logged on a host (server)
Group:        Networking/Daemons
Requires:     netcfg portmap
Provides:     nkitserv:/usr/sbin/rpc.rwalld
Autoreqprov:  on

%description server
This package contains the rpc.rwalld server. The daemon sends a
message to the users logged into the system. Messages are sent to
this server by the rwall command.

SuSE series: n

%prep
%setup -n netkit-rwall-%{version}
%patch

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure
make

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/etc/init.d
install -d -m 755 $RPM_BUILD_ROOT/usr/{bin,sbin}
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man{1,8}
install -d -m 755 $RPM_BUILD_ROOT/var/adm/fillup-templates
make install INSTALLROOT=$RPM_BUILD_ROOT
install -m 755 %SOURCE1 $RPM_BUILD_ROOT/etc/init.d/rwalld
ln -sf ../../etc/init.d/rwalld $RPM_BUILD_ROOT/usr/sbin/rcrwalld
install -m 644 %SOURCE2 $RPM_BUILD_ROOT/var/adm/fillup-templates/

%clean
rm -rf $RPM_BUILD_ROOT

%post server
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q etc/rc.config var/adm/fillup-templates/rc.config.rwalld
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and /var/adm/fillup-templates/rc.config.rwalld"
fi
sbin/insserv etc/init.d/rwalld

%postun
sbin/insserv etc/init.d

%files
%defattr(-,root,root)
%doc README ChangeLog BUGS
/usr/bin/rwall
%doc %{_mandir}/man1/*

%files server
%defattr(-,root,root)
%doc README ChangeLog BUGS
%config /etc/init.d/rwalld
/usr/sbin/rcrwalld
%doc %{_mandir}/man8/*
/usr/sbin/rpc.rwalld
/var/adm/fillup-templates/rc.config.rwalld

%changelog -n rwall
* Thu Mar 22 2001 - ro@suse.de
- added split-aliases as provides
* Fri Mar 16 2001 - cihlar@suse.cz
- added Url
- clean up spec file
* Wed Mar 07 2001 - kukuk@suse.de
- Split from nkitb
